﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.DataSource;
using Syncfusion.ListView.XForms;
using Xamarin.Forms;
using Syncfusion.GridCommon.ScrollAxis;
using System.Reflection;

namespace ListViewGridLayout
{
    public partial class GridLayoutPage : ContentPage
    {
        private ListViewGridLayoutViewModel viewModel;
        private TapGestureRecognizer deleteImageTapped;
        private GridLayout gridLayout;

        public GridLayoutPage()
        {
            InitializeComponent();
            viewModel = new ListViewGridLayoutViewModel();
            listView.ItemsSource = viewModel.Gallerynfo;
            listView.BindingContext = viewModel;
            headerGrid.BindingContext = viewModel;
            gridLayout = new GridLayout();

            if (Device.OS == TargetPlatform.Android || Device.OS == TargetPlatform.iOS)
                gridLayout.SpanCount = Device.Idiom == TargetIdiom.Phone ? 2 : 4;
            else if (Device.OS == TargetPlatform.Windows)
            {
                gridLayout.SpanCount = Device.Idiom == TargetIdiom.Desktop || Device.Idiom == TargetIdiom.Tablet ? 4 : 2;
                listView.ItemSize = Device.Idiom == TargetIdiom.Desktop || Device.Idiom == TargetIdiom.Tablet ? 230 : 140;
            }

            listView.LayoutManager = gridLayout;
            listView.DataSource.GroupDescriptors.Add(new GroupDescriptor() { PropertyName = "CreatedDate" });
        }
    }
}
